/// <reference types="node" />
import { RawGtv } from "../gtv/types";
export type RawGtxOp = [opName: string, args: RawGtv[]];
export type RawGtxBody = [
    blockchainRID: Buffer,
    operations: RawGtxOp[],
    signers: Buffer[]
];
export type RawGtx = [transaction: RawGtxBody, signatures: Buffer[]];
export type GTX = {
    [x: string]: any;
    blockchainRID: Buffer;
    operations: RellOperation[];
    signers: Buffer[];
    signatures?: Buffer[];
};
export type RellOperation = {
    opName: string;
    args: RawGtv[];
};
export type SignerPair = {
    pubKey: string;
    signature: string;
};
export type BufferSignerPair = {
    pubKey: Buffer;
    signature: Buffer;
};
